diff --git a/release/debian/postinst b/release/debian/postinst
index e126af578..c1e48ac2c 100644
--- a/release/debian/postinst
+++ b/release/debian/postinst
@@ -34,13 +34,16 @@ case "$1" in
             if [ ! -d $i/telemetry ]; then
                 mkdir $i/telemetry || exit 1
             fi
-            # Make snapshots directory immutable (optional)
-            chattr +i -R $i/snapshots || true
         done
 
         # Change ownership of all examples
         chown -R memgraph:memgraph /usr/share/memgraph/examples || exit 1
 
+        # Make snapshots directory immutable (optional)
+        for i in /usr/share/memgraph/examples/*; do
+            chattr +i -R $i/snapshots || true
+        done
+
         # Generate SSL certificates
         if [ ! -d /etc/memgraph/ssl ]; then
             mkdir /etc/memgraph/ssl || exit 1